Bug 296784 - digikam crashes while tagging faces
Summary: digikam crashes while tagging faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.5.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-25 22:50 UTC by James Hogan
Modified: 2019-12-23 06:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Hogan 2012-03-25 22:50:36 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.1 (4.8.1)
Qt Version: 4.8.0
Operating System: Linux 3.2.7-1.fc16.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

From face detection tab on left, I was tagging faces in the "unknown" folder. It crashed multiple times, but I don't think it crashed If was was face tagging from a normal album. I didn't have face detection processing running in background or anything.

The crash can be reproduced some of the time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fb032035a40 (LWP 6947))]

Thread 11 (Thread 0x7fb0276bd700 (LWP 6948)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x0000003bb707c07b in wait (time=18446744073709551615, this=0x22f5590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x22f5488, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005c8450 in Digikam::ScanController::run (this=0x22b2d00) at /usr/src/debug/digikam-2.5.0/core/digikam/database/scancontroller.cpp:647
#4  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x22b2d00) at thread/qthread_unix.cpp:298
#5  0x0000003805007d90 in start_thread (arg=0x7fb0276bd700) at pthread_create.c:309
#6  0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7fb026ebc700 (LWP 6949)):
#0  0x0000003806c454df in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#1  0x0000003bb71a7dc6 in QEventDispatcherGlib::processEvents (this=0x7fb0180008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#2  0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#3  0x0000003bb71783d7 in QEventLoop::exec (this=0x7fb026ebbb10, flags=...) at kernel/qeventloop.cpp:204
#4  0x0000003bb7078b27 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#5  0x0000003bb7157e7f in QInotifyFileSystemWatcherEngine::run (this=0x22e3540) at io/qfilesystemwatcher_inotify.cpp:248
#6  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x22e3540) at thread/qthread_unix.cpp:298
#7  0x0000003805007d90 in start_thread (arg=0x7fb026ebc700) at pthread_create.c:309
#8  0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fb0266bb700 (LWP 6951)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x0000003bb707c07b in wait (time=18446744073709551615, this=0x25d16d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x25d1438, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003bd15465d9 in Digikam::ParkingThread::run (this=0x25d1420) at /usr/src/debug/digikam-2.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x25d1420) at thread/qthread_unix.cpp:298
#5  0x0000003805007d90 in start_thread (arg=0x7fb0266bb700) at pthread_create.c:309
#6  0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fb013312700 (LWP 6960)):
#0  0x0000003804ce85c3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003806c44fd8 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003806c4549c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003bb71a7dc6 in QEventDispatcherGlib::processEvents (this=0x7fb0000008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x0000003bb71783d7 in QEventLoop::exec (this=0x7fb013311b10, flags=...) at kernel/qeventloop.cpp:204
#6  0x0000003bb7078b27 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x0000003bb7157e7f in QInotifyFileSystemWatcherEngine::run (this=0x3d4ee90) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x3d4ee90) at thread/qthread_unix.cpp:298
#9  0x0000003805007d90 in start_thread (arg=0x7fb013312700) at pthread_create.c:309
#10 0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fb0102fb700 (LWP 6961)):
#0  0x000000380500af9d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:53
#1  __pthread_mutex_unlock (mutex=0x7fb0040009a8) at pthread_mutex_unlock.c:298
#2  0x0000003806c43faf in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#3  0x0000003806c44e6d in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003806c4549c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x0000003bb71a7dc6 in QEventDispatcherGlib::processEvents (this=0x7fb0040008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#6  0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x0000003bb71783d7 in QEventLoop::exec (this=0x7fb0102fab10, flags=...) at kernel/qeventloop.cpp:204
#8  0x0000003bb7078b27 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x0000003bb7157e7f in QInotifyFileSystemWatcherEngine::run (this=0x3d82ef0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x0000003bb707bb6b in QThreadPrivate::start (arg=0x3d82ef0) at thread/qthread_unix.cpp:298
#11 0x0000003805007d90 in start_thread (arg=0x7fb0102fb700) at pthread_create.c:309
#12 0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fb00da05700 (LWP 7020)):
#0  0x000000380500af9d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:53
#1  __pthread_mutex_unlock (mutex=0x7fafec57db08) at pthread_mutex_unlock.c:298
#2  0x0000003820c304e4 in sqlite3_bind_int64 () from /usr/lib64/libsqlite3.so.0
#3  0x00007fb025cb7b30 in QSQLiteResult::exec (this=0x7fb0081b67d0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:382
#4  0x0000003bbec11765 in QSqlQuery::exec (this=0x7fb00da04348) at kernel/qsqlquery.cpp:949
#5  0x0000003bd14e6d01 in exec (query=<optimized out>, this=<optimized out>) at /usr/src/debug/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1405
#6  Digikam::DatabaseCoreBackend::exec (this=0x22beaa0, query=...) at /usr/src/debug/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1389
#7  0x0000003bd14e861b in Digikam::DatabaseCoreBackend::execQuery (this=0x22beaa0, query=..., boundValue1=<optimized out>, boundValue2=..., boundValue3=..., boundValue4=...) at /usr/src/debug/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1077
#8  0x0000003bd14e868a in Digikam::DatabaseCoreBackend::execQuery (this=0x22beaa0, sql=<optimized out>, boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /usr/src/debug/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1022
#9  0x0000003bd14e8db5 in Digikam::DatabaseCoreBackend::execSql (this=0x22beaa0, sql=<optimized out>, boundValue1=<optimized out>, boundValue2=<optimized out>, boundValue3=<optimized out>, boundValue4=<optimized out>, values=0x0, lastInsertId=0x7fb00da04380) at /usr/src/debug/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:921
#10 0x0000003bd14f45e3 in Digikam::ThumbnailDB::insertThumbnail (this=0x231b1e0, info=..., lastInsertId=0x7fb00da04460) at /usr/src/debug/digikam-2.5.0/core/libs/database/thumbnaildb.cpp:262
#11 0x0000003bd1529fa8 in Digikam::ThumbnailCreator::storeInDatabase (this=<optimized out>, info=..., image=<optimized out>) at /usr/src/debug/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:753
#12 0x0000003bd152f6e9 in Digikam::ThumbnailCreator::load (this=0x2630f00, path=..., rect=..., pregenerate=true) at /usr/src/debug/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:264
#13 0x0000003bd153066d in Digikam::ThumbnailCreator::pregenerate (this=<optimized out>, path=<optimized out>) at /usr/src/debug/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:180
#14 0x0000003bd153ed20 in Digikam::ThumbnailLoadingTask::execute (this=0x237f4d0) at /usr/src/debug/digikam-2.5.0/core/libs/threadimageio/thumbnailtask.cpp:79
#15 0x0000003bd150f04e in Digikam::LoadSaveThread::run (this=0x2647b00) at /usr/src/debug/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#16 0x0000003bd15484ae in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x2644b70) at /usr/src/debug/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#17 0x0000003bb706f4e2 in QThreadPoolThread::run (this=0x59e7150) at concurrent/qthreadpool.cpp:107
#18 0x0000003bb707bb6b in QThreadPrivate::start (arg=0x59e7150) at thread/qthread_unix.cpp:298
#19 0x0000003805007d90 in start_thread (arg=0x7fb00da05700) at pthread_create.c:309
#20 0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7faffdf4e700 (LWP 7021)):
#0  0x0000003805009de5 in __pthread_mutex_lock (mutex=0x7faff8001f98) at pthread_mutex_lock.c:65
#1  0x0000003806c43ecd in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#2  0x0000003806c44e6d in ?? () from /lib64/libglib-2.0.so.0
#3  0x0000003806c4549c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#4  0x0000003bb71a7dc6 in QEventDispatcherGlib::processEvents (this=0x7faff8001130, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#5  0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003bb71783d7 in QEventLoop::exec (this=0x7faffdf4dae0, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003bd1545bee in Digikam::WorkerObjectRunnable::run (this=0x63d06d0) at /usr/src/debug/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#8  0x0000003bb706f4e2 in QThreadPoolThread::run (this=0x5244410) at concurrent/qthreadpool.cpp:107
#9  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x5244410) at thread/qthread_unix.cpp:298
#10 0x0000003805007d90 in start_thread (arg=0x7faffdf4e700) at pthread_create.c:309
#11 0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fafc7fff700 (LWP 7022)):
#0  0x0000003804ce85c3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003806c44fd8 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003806c4549c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003bb71a7dc6 in QEventDispatcherGlib::processEvents (this=0x7fafe8165b80, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x0000003bb71783d7 in QEventLoop::exec (this=0x7fafc7ffeae0, flags=...) at kernel/qeventloop.cpp:204
#6  0x0000003bd1545bee in Digikam::WorkerObjectRunnable::run (this=0x5767220) at /usr/src/debug/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x0000003bb706f4e2 in QThreadPoolThread::run (this=0x5249370) at concurrent/qthreadpool.cpp:107
#8  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x5249370) at thread/qthread_unix.cpp:298
#9  0x0000003805007d90 in start_thread (arg=0x7fafc7fff700) at pthread_create.c:309
#10 0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7faffd74d700 (LWP 7024)):
#0  0x0000003806c4463a in g_main_context_check () from /lib64/libglib-2.0.so.0
#1  0x0000003806c44ff2 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003806c4549c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003bb71a7dc6 in QEventDispatcherGlib::processEvents (this=0x7fafc80008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x0000003bb71783d7 in QEventLoop::exec (this=0x7faffd74cae0, flags=...) at kernel/qeventloop.cpp:204
#6  0x0000003bd1545bee in Digikam::WorkerObjectRunnable::run (this=0x7fafd8027a80) at /usr/src/debug/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x0000003bb706f4e2 in QThreadPoolThread::run (this=0x5944ba0) at concurrent/qthreadpool.cpp:107
#8  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x5944ba0) at thread/qthread_unix.cpp:298
#9  0x0000003805007d90 in start_thread (arg=0x7faffd74d700) at pthread_create.c:309
#10 0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7faff77fe700 (LWP 7029)):
#0  0x0000003804ce85c3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003806c44fd8 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003806c4549c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003bb71a7dc6 in QEventDispatcherGlib::processEvents (this=0x7fafe40008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x0000003bb71783d7 in QEventLoop::exec (this=0x7faff77fdae0, flags=...) at kernel/qeventloop.cpp:204
#6  0x0000003bd1545bee in Digikam::WorkerObjectRunnable::run (this=0x7fafc800e170) at /usr/src/debug/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x0000003bb706f4e2 in QThreadPoolThread::run (this=0x582daf0) at concurrent/qthreadpool.cpp:107
#8  0x0000003bb707bb6b in QThreadPrivate::start (arg=0x582daf0) at thread/qthread_unix.cpp:298
#9  0x0000003805007d90 in start_thread (arg=0x7faff77fe700) at pthread_create.c:309
#10 0x0000003804cf0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fb032035a40 (LWP 6947)):
[KCrash Handler]
#6  0x0000003bb719c348 in clear (d=0x748a7a0) at kernel/qvariant.cpp:286
#7  0x0000003bd2f4ded8 in node_destruct (n=0x5a93490, this=0x25cd618) at /usr/include/QtCore/qlist.h:388
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x25cd618) at /usr/include/QtCore/qlist.h:803
#9  Digikam::ImageModel::removeRowPairs (this=0x25ceb20, toRemove=...) at /usr/src/debug/digikam-2.5.0/core/libs/models/imagemodel.cpp:901
#10 0x0000003bd2f4fa4d in Digikam::ImageModel::finishIncrementalRefresh (this=0x25ceb20) at /usr/src/debug/digikam-2.5.0/core/libs/models/imagemodel.cpp:720
#11 0x000000000055ee85 in Digikam::ImageAlbumModel::slotResult (this=0x25ceb20, job=<optimized out>) at /usr/src/debug/digikam-2.5.0/core/libs/models/imagealbummodel.cpp:307
#12 0x0000003bb718cce1 in QMetaObject::activate (sender=0x5c136e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff35edffb0) at kernel/qobject.cpp:3547
#13 0x0000003bb9d41fc2 in KJob::result (this=<optimized out>, _t1=0x5c136e0) at /usr/src/debug/kdelibs-4.8.1/x86_64-redhat-linux-gnu/kdecore/kjob.moc:208
#14 0x0000003bb9d42000 in KJob::emitResult (this=0x5c136e0) at /usr/src/debug/kdelibs-4.8.1/kdecore/jobs/kjob.cpp:318
#15 0x0000003bbcafbde4 in KIO::SimpleJob::slotFinished (this=0x5c136e0) at /usr/src/debug/kdelibs-4.8.1/kio/kio/job.cpp:494
#16 0x0000003bbcb038b2 in KIO::TransferJob::slotFinished (this=0x5c136e0) at /usr/src/debug/kdelibs-4.8.1/kio/kio/job.cpp:1081
#17 0x0000003bb718cce1 in QMetaObject::activate (sender=0x520e830, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#18 0x0000003bbcba9551 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at /usr/src/debug/kdelibs-4.8.1/kio/kio/slaveinterface.cpp:172
#19 0x0000003bbcba6415 in KIO::SlaveInterface::dispatch (this=0x520e830) at /usr/src/debug/kdelibs-4.8.1/kio/kio/slaveinterface.cpp:88
#20 0x0000003bbcb994fe in KIO::Slave::gotInput (this=0x520e830) at /usr/src/debug/kdelibs-4.8.1/kio/kio/slave.cpp:344
#21 0x0000003bb718cce1 in QMetaObject::activate (sender=0x5244110, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#22 0x0000003bbcacd137 in dequeue (this=<optimized out>) at /usr/src/debug/kdelibs-4.8.1/kio/kio/connection.cpp:82
#23 KIO::ConnectionPrivate::dequeue (this=0x3bf85e0) at /usr/src/debug/kdelibs-4.8.1/kio/kio/connection.cpp:71
#24 0x0000003bb7191f16 in QObject::event (this=0x5244110, e=<optimized out>) at kernel/qobject.cpp:1195
#25 0x0000003bb77c9994 in notify_helper (e=0x2ed5990, receiver=0x5244110, this=0x2153050) at kernel/qapplication.cpp:4550
#26 QApplicationPrivate::notify_helper (this=0x2153050, receiver=0x5244110, e=0x2ed5990) at kernel/qapplication.cpp:4522
#27 0x0000003bb77ce813 in QApplication::notify (this=0x7fff35ee1360, receiver=0x5244110, e=0x2ed5990) at kernel/qapplication.cpp:4411
#28 0x0000003bbb851d56 in KApplication::notify (this=0x7fff35ee1360, receiver=0x5244110, event=0x2ed5990) at /usr/src/debug/kdelibs-4.8.1/kdeui/kernel/kapplication.cpp:311
#29 0x0000003bb717904c in QCoreApplication::notifyInternal (this=0x7fff35ee1360, receiver=0x5244110, event=0x2ed5990) at kernel/qcoreapplication.cpp:876
#30 0x0000003bb717cada in sendEvent (event=0x2ed5990, receiver=0x5244110) at kernel/qcoreapplication.h:231
#31 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x20e8460) at kernel/qcoreapplication.cpp:1500
#32 0x0000003bb71a7933 in sendPostedEvents () at kernel/qcoreapplication.h:236
#33 postEventSourceDispatch (s=0x2151350) at kernel/qeventdispatcher_glib.cpp:279
#34 0x0000003806c44acd in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#35 0x0000003806c452c8 in ?? () from /lib64/libglib-2.0.so.0
#36 0x0000003806c4549c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#37 0x0000003bb71a7d5f in QEventDispatcherGlib::processEvents (this=0x20e9d40, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#38 0x0000003bb786c66e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#39 0x0000003bb7178182 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#40 0x0000003bb71783d7 in QEventLoop::exec (this=0x7fff35ee11e0, flags=...) at kernel/qeventloop.cpp:204
#41 0x0000003bb717cdd5 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#42 0x000000000048bd7d in main (argc=1, argv=<optimized out>) at /usr/src/debug/digikam-2.5.0/core/digikam/main/main.cpp:232

Possible duplicates by query: bug 283789, bug 283537, bug 278049.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-03-26 09:11:30 UTC

*** This bug has been marked as a duplicate of bug 278049 ***
Comment 2 caulier.gilles 2019-12-23 06:22:19 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier